function [d] = ellip_vec2struct(v)
% function [d] = ellip_vec2struct(v)
%
% A function to take a vector, v, and convert it to a structure suitable
% for an ellipse
% 
% 
% d.Centroid(1) = v(1);
% d.Centroid(2) = v(2);
% d.Area = v(3);
% d.MajorAxisLength = v(4);
% d.MinorAxisLength = v(5);
% d.Orientation = v(6);
d = [];
if nargin < 1
    return;
end
d.Centroid(1) = v(2);
d.Centroid(2) = v(1);
d.Area = v(3);
d.MajorAxisLength = v(4);
d.MinorAxisLength = v(5);
d.Orientation = v(6);
return;
